> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/references/crash-reporting/report-exception/adding-level-to-exception.md).

# Adding Level to Exception

API reference for adding severity levels to exceptions reported with Luciq. Classify exceptions by severity for better crash prioritization.

You can set different levels for manually reported exceptions using the following API:

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

<pre class="language-swift"><code class="lang-swift"><strong>let exception = NSException(name: NSExceptionName("some_exception"), reason: "Exception reason")
</strong>if let nonFatalException = CrashReporting.exception(exception) {
    nonFatalException.level = .critical
    nonFatalException.report()
}
</code></pre>

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
NSException *exception = [NSException exceptionWithName:@"some_exception" reason:@"Exception reason" userInfo:nil];
LCQNonFatalException *nonFatalException = [LCQCrashReporting exception:exception];
nonFatalException.level = LCQNonFatalLevelWarning;
[nonFatalException report];
```

{% endtab %}

{% tab title="And - Java" %}

```java
LCQNonFatalException exception = new LCQNonFatalException.Builder(new NullPointerException("Test Exception"))
	.setLevel(LCQNonFatalException.Level.CRITICAL)
	.build();
CrashReporting.report(exception);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
val exception = LCQNonFatalException.Builder(NullPointerException("Test Exception"))
	.setLevel(LCQNonFatalException.Level.CRITICAL)
	.build()
CrashReporting.report(exception)
```

{% endtab %}
{% endtabs %}

Here are the different severity levels available. In case no level is indicated, the default level would be ERROR.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
.warning
.error
.critical
.info
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
LCQNonFatalLevelWarning
LCQNonFatalLevelError
LCQNonFatalLevelCritical
LCQNonFatalLevelInfo
```

{% endtab %}

{% tab title="Android" %}

```java
LCQNonFatalException.Level.WARNING
LCQNonFatalException.Level.ERROR
LCQNonFatalException.Level.CRITICAL
LCQNonFatalException.Level.INFO
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.luciq.ai/references/crash-reporting/report-exception/adding-level-to-exception.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
